Subject: Cloning marks pack for .keep

From: Jean-Luc Herren <[email-masked]>
Date: Mon, 07 Jul 2008 23:27:46 +0200

After cloning a local repository with "git clone file://...", the
resulting repo had one big pack file, as expected, but also a
matching ".keep" file.  Certainly this is a bug, isn't it?  The
same happens if I clone git.git.  I used git 1.5.6.1 but observed
the same with the current master.  I bisected this behavior to
commit fa740529 by Shawn O. Pearce (CC'ing him).  Since this dates
back to 2007, I wonder if maybe only I am seeing this, but I
cannot think of any reason for it.

(I already mentioned this on IRC today.)

jlh